blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
4fdf78c2e2c668c7586f8620674e8f87060533ce
Shell
XuSihan/refactoring
/src/good.sh~
UTF-8
2,342
2.5625
3
[]
no_license
#!bash cd aws-sdk-java_before file_path=$(find /home/sihan/refactoring/src/aws-sdk-java_before -print | grep "com/amazonaws/services/dynamodbv2/datamodeling/DynamoDBMapper.java") result=$(echo $file_path | grep "com/amazonaws/services/dynamodbv2/datamodeling/DynamoDBMapper.java") if [ "$result" != "" ] then echo "T...
true
c2b4da08503343afc94e92c41e44df413baf3041
Shell
o-o-overflow/dc2020q-whooo-are-u-public
/image/generate_packages.sh
UTF-8
412
2.78125
3
[]
no_license
#!/bin/bash mkdir -p $1 split -l650 <( curl https://popcon.ubuntu.com/all-popcon-results.txt.gz | zcat | grep Package | egrep -v ": (lib|linux-|python|language|xserver|gnome|firefox|openoffice|thunderbird|gir1.2|nvidia|unity|erlang|texlive|ubuntu|pidgin|nautilus|virtualbox|emodule|x11proto|plasma|kde|rhythmbox|x11|x...
true
076df16ccb7bd1d601e69fa06e865b837b0de11d
Shell
davidbebb/resin-nodejs-opencv
/openCV_script.sh
UTF-8
443
2.546875
3
[]
no_license
apt-get update && \ apt-get install -y cmake git clone https://github.com/itseez/opencv.git /usr/local/src/opencv cd /usr/local/src/opencv && \ mkdir release && cd release && \ cmake -D CMAKE_BUILD_TYPE=RELEASE -D CMAKE_INSTALL_PREFIX=/usr/local .. cd /usr/local/src/opencv/release && \ make && make install rm -rf ...
true
5cdeca8a78fe375fbc48e793e1a7e1c57af07302
Shell
ericclaus14/UnixAdminCourse
/ScriptTemplate.shtp
UTF-8
1,369
4.03125
4
[]
no_license
#!/bin/bash ############################################################################################## #Author: Eric Claus #Date: 2/5/17 #Unix Admin Lab - Scripting 1 #Part 4 #Purpose: Install VSFTPD and configure it to enable write and ssl. If VSFTPD is installed, # first remove it then reinstall. #Script must b...
true
bf7300c4deed0ece54ca8642b72de570c1e6dcf8
Shell
samir7575/spring-boot-mysql-springdatajpa-hibernate
/start.sh
UTF-8
2,074
3.40625
3
[]
no_license
#!/bin/sh export JAVA_HOME=/apps/WebSphere85/LibertyCore/java/java_1.8_64/ export PATH=$JAVA_HOME/bin:$PATH export LOG_PATH=@LOG_PATH@ # Renseignement de la chaîne par défaut si configurée [ "$chaine" = "" ] && chaine="@chaine.default@" # Si $chaine n'est pas renseignée/correcte avant de lancer ce script on...
true
af8252ff7f0847049bfc49ab512946e1c54b5261
Shell
olgierdh/snippets
/git/store-branch.sh
UTF-8
451
3.109375
3
[]
no_license
#!/bin/bash tag_name=$(echo "$1" | sed -e 's/^\([a-z]*\)-\(.*\)/\1\/\2/g') echo "checkout to $1..." git fetch origin git checkout $1 echo "pulling changes..." git pull origin $1 echo "tagging the branch with the name $tag_name..." git tag $tag_name echo "checkouting the master..." git checkout master echo "delete loc...
true
efecca9bcb072a23f52d4c36d01d751a2e11faaf
Shell
fact-project/mars_pulse_truth
/.svn/pristine/ef/efecca9bcb072a23f52d4c36d01d751a2e11faaf.svn-base
UTF-8
3,139
3.65625
4
[]
no_license
#!/bin/sh # # ======================================================================== # # * # * This file is part of MARS, the MAGIC Analysis and Reconstruction # * Software. It is distributed to you in the hope that it can be a useful # * and timesaving tool in analysing Data of imaging Cerenkov telescopes. # * It is...
true
962b8362ec390032115b7a2c9e43eb346a513982
Shell
COUNTRik/systemd
/scripts/systemd.sh
UTF-8
1,506
2.734375
3
[]
no_license
#!/bin/bash # Авторизуемся для получения root прав mkdir -p ~root/.ssh cp ~vagrant/.ssh/auth* ~root/.ssh # Monitor cp /vagrant/monitor/monitor.config /etc/sysconfig/monitor.config cp /vagrant/monitor/monitor.timer /etc/systemd/system/monitor.timer cp /vagrant/monitor/monitor.service /etc/systemd/system/monitor.serv...
true
8971e461888b98b8c0f820874a7d0675a124213d
Shell
reachanshul/notary-kubernetes
/scripts/deploy-postgres.sh
UTF-8
1,293
3.515625
4
[]
no_license
#!/usr/bin/env bash set -euo pipefail cd "$(dirname $0)/.." # work around to make this script idempotent. The helm chart doesn't allow # running an upgrade without providing it the root password. if kubectl get secret notary-postgresql --namespace notary > /dev/null 2>&1 ; then printf "Found postgresql secret, r...
true
71afd4a98e2f383a531ed6d5ff12f1a775a3e5d0
Shell
minyk/spark-notebook-sandbox
/scripts/common.sh
UTF-8
2,631
2.796875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash #java JAVA_VERSION="7" JAVA_UPDATE="79" JAVA_ARCHIVE=jdk-${JAVA_VERSION}u${JAVA_UPDATE}-linux-x64.tar.gz JAVA_HOME="jdk1.${JAVA_VERSION}.0_${JAVA_UPDATE}" #hadoop HADOOP_PREFIX=/usr/local/hadoop HADOOP_CONF_DIR=$HADOOP_PREFIX/etc/hadoop HADOOP_VERSION=2.7.2 HADOOP_ARCHIVE=hadoop-${HADOOP_VERSION}.tar.gz H...
true
156726bf30121d08fec71ba142b3ab8ddffd7b6b
Shell
salsaproj/IndexedHBase
/apps/socialDataAnalysis-truthy/bin/moe_copy_hdfs.sh
UTF-8
984
3.578125
4
[]
no_license
#!/bin/bash DIR=/home/data/truthy_tmp DESTDIR_ON_MOE=/home/appuser/truthy_tmp DESTDIR_ON_HDFS=/truthy/data REMOTE_USER=appuser HOST=moe.soic.indiana.edu KEY=${HOME}/.ssh/id_rsa_moe # # uncomment this block to set debug mode on # set -x # terminate script on first error set -e # create SSH agent and add key eval `ss...
true
aa3bd1dff7c73ead79862afe88c0e4e1c04a72da
Shell
nchikuma/wagasci_software
/RunCommand/shell/pedestal_check_run.sh
UTF-8
623
3.03125
3
[]
no_license
#!/bin/sh # -*- coding: utf-8 -*- # # Copyright 2012-2015 Frédéric Magniette, Miguel Rubio-Roy # This file is part of Calicoes. . /opt/pyrame/ports.sh ini_pe=2 fin_pe=2 step_pe=1 overwrite=append step=0 pe=${ini_pe} while [ ${pe} -le ${fin_pe} ] do echo "start run, pe:${pe}" sleep 1 run_time=`expr \( 30 +...
true
5e0880f0c3bf3c5cdcf56ab7e65f03d290b5b35d
Shell
alxayo/MagentoCEAzureTemplate
/ubuntu14/iac_install.sh
UTF-8
1,350
3.015625
3
[]
no_license
#!/bin/bash clear echo "Installing software requirements for Magento 2.x" echo "----" echo "Update and Upgate Apt" echo "----" sudo apt-get -y update sudo apt-get -y upgrade echo "Install Apache 2.4.x" echo "----" sudo apt-get -y install apache2 apache2 -v echo "enable Apache rewrite module" echo "----" sudo a2enm...
true
fdb13a80a71259df980a3c5f2e6f80b8a0ad6c55
Shell
PSOCER/de2i150_edgedet
/demo_advanced/hardware/amm_master_qsys_with_pcie/simulation/synopsys/vcs/vcs_setup.sh
UTF-8
9,488
2.625
3
[]
no_license
# (C) 2001-2015 Altera Corporation. All rights reserved. # Your use of Altera Corporation's design tools, logic functions and # other software and tools, and its AMPP partner logic functions, and # any output files any of the foregoing (including device programming # or simulation files), and any associated documen...
true
5c421c54722d93a8c1c1ecabe3fa28bbfeb96f09
Shell
bamarni/pi64
/make/release
UTF-8
356
2.90625
3
[]
no_license
#!/usr/bin/env bash set -ex cd build release=$(date +"%Y-%m-%d") git tag $release git push origin $release github-release release --user bamarni --repo pi64 --tag $release --draft for version in "lite" "desktop" ; do github-release upload --user bamarni --repo pi64 --tag $release --name "pi64-$version.zip" --...
true
b5b89a879a697d79615ac9f16986ffdfa2528001
Shell
dOpensource/dsiprouter
/testing/2.sh
UTF-8
170
2.765625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash . include/common test="dsip-init Service Started" # Is service started systemctl is-active --quiet dsip-init; ret=$? process_result "$test" $ret
true
db8cab2d8ed3e2271e07c06c25879980d92928e9
Shell
kata-containers/tests
/.ci/kata-simplify-log.sh
UTF-8
4,920
3.8125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Copyright (c) 2018 Intel Corporation # # SPDX-License-Identifier: Apache-2.0 set -o errexit set -o nounset set -o pipefail readonly script_name=${0##*/} cidir="$(dirname $(readlink -f "$0"))" source "${cidir}/lib.sh" usage() { cat <<EOF Description: Simplify the specified logfile by replacing co...
true
5124df7a5582d92ecc151c7b7ad531c6fd01b875
Shell
pyar6329/sql-examples
/middleware/docker/scripts/cockroach_init.sh
UTF-8
1,209
3.34375
3
[ "MIT" ]
permissive
#!/bin/bash set -eu CURRENT_DIR=$(echo $(cd $(dirname $0) && pwd)) COCKROACH_PORT=26257 # COCKROACH_DATABASE="examples" # COCKROACH_USERNAME="pyar6329" # COCKROACH_PASSWORD="passwordexample" # EXECUTE_QUERY=$(printf " \ # CREATE DATABASE IF NOT EXISTS ${COCKROACH_DATABASE}; \ # CREATE USER ${COCKROACH_USERNAME} ...
true
e356a4e5bcd21a361e0b1e1b2c871566253964f8
Shell
michaeldeongreen/HandyScripts
/bash/tv-episode-filename-formatter.sh
UTF-8
8,319
4.1875
4
[ "MIT" ]
permissive
#!/bin/bash -eu ########################################################################################################################################################################################## #- Purpose: Script is used to rename tv episodes into a "S##E#" format ie "Hokuto no Ken 001.mkv" to "Hokuto no Ken ...
true
2a40247c0ec4a9ad499be4c2f212318f09430897
Shell
ccplabwustl/RobertJirsaraie
/study-PDS/apps_freesurfer.sh
UTF-8
6,453
3.40625
3
[]
no_license
#!/usr/bin/env bash ################### STUDY_DIR=/scratch/rjirsara/study-PDS DIR_TOOLBOX=/scratch/rjirsara/RobertJirsaraie/toolbox mkdir -p ${STUDY_DIR}/apps/freesurfer module purge ; module load "freesurfer-5.3.0" ###### ### Build Freesurfer License If Missing ###### FREESURFER_LICENSE=`echo $DIR_TOOLBOX/bids_app...
true
cd6c89ae335c1602b69ed9398508c7157409e084
Shell
viniciusbig/cakephp-docker
/.docker/users/.bashrc
UTF-8
156
2.515625
3
[ "MIT" ]
permissive
# Alias alias cake='bin/cake' alias node='nodejs' # NVM export NVM_DIR="/var/www/.nvm" [ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh" # This loads nvm
true
8f1a84ebd1539e28ef879d0100c92d257d0baa56
Shell
reinfer/aelita
/signup/activate.sh
UTF-8
187
2.515625
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/bin/sh cd `dirname $0` if [ ! -d venv/ ]; then virtualenv venv pip install -r requirements.txt fi source ./venv/bin/activate source ./config.sh export FLASK_APP=`pwd`/main.py
true
bdb179a7be62806cc10a8680ed7d52b23fe4d3e4
Shell
mackenco/password-validator
/example/examples.sh
UTF-8
1,224
3
3
[]
no_license
#!/bin/sh echo "\ninvalid passwords" echo "running 'cat \"./example/invalid.txt\" | password_validator'" cat ./example/invalid.txt | password_validator echo "\nall valid" echo "running 'cat \"./example/valid.txt\" | password_validator'" cat ./example/valid.txt | password_validator echo "\nwith custom password list" e...
true
e56fd910b8ee59a73176a793a29731882204e119
Shell
dbactual/qp
/tests/load_test.sh
UTF-8
2,873
3.6875
4
[ "MIT" ]
permissive
#!/bin/bash GOPATH=`pwd`/.go PROCESS=./qp CONCURRENT=10 MAX_DSNS=8 PORT=9666 URL=:$PORT function cleanup { kill $PID kill $SSH_TUNNEL_PID } trap cleanup EXIT function die { echo $1 exit 666 } # If called with no arguments a new timer is returned. # If called with arguments the first is used as a ti...
true
e23e5df1b54b26b4889a841431fc3315a7c8c3bd
Shell
lovasko/Modra
/tests/floating/main.sh
UTF-8
358
2.65625
3
[ "BSD-2-Clause" ]
permissive
echo "Type GLfloat GLdouble" > 'floating.dat' grep "primitives" float | cut -d'(' -f2 | cut -d' ' -f1 > 'primitive_counts' grep "Median draw time:" float | cut -d: -f2 > 'float_medians' grep "Median draw time:" double | cut -d: -f2 > 'double_medians' paste primitive_counts float_medians double_medians > 'table' cat t...
true
a38825ae1dcc13b988faac36700647d9c33496da
Shell
liangzr/github-run
/notify.sh
UTF-8
913
2.859375
3
[ "MIT" ]
permissive
#! /usr/bin/env sh # GitHub didn't update the contributions graph immediately, but # only the commits from default branch can be display on the # contributions graph. So we can change the default branch to # force it refresh # Wait a moment sleep 60 curl https://api.github.com/repos/${GITHUB_USER}/github-run \ -u ...
true
fa8c0e41abaae5b306a4ac665bdc360dca232170
Shell
edgarcosta/lmfdb-gce
/server_scripts/install.sh
UTF-8
1,507
3.1875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e #prerequisites for sage sudo apt-get install -y binutils gcc g++ gfortran make m4 perl tar git libssl-dev #install gcfuse export GCSFUSE_REPO=gcsfuse-`lsb_release -c -s` echo "deb http://packages.cloud.google.com/apt $GCSFUSE_REPO main" | sudo tee /etc/apt/sources.list.d/gcsfuse.list c...
true
a843ea87dd1acc76b9808733384b9ac3eeb31a15
Shell
sundari0627/Nagios-Monitering-on-Hadoop-Cluster
/check-hu.sh
UTF-8
333
3.015625
3
[]
no_license
#!/bin/bash #set -x pat=/usr/local/nagios/libexec hdfs_rm=`awk -F':' '/hadoop/{print $4}' /etc/group | wc -l` awk -F':' '/hadoop/{print $4}' /etc/group > $pat/users if [ $hdfs_rm -eq 1 ] then echo "Hadoop group users are `cat $pat/users` " exit 0 else echo "Hadoop group does not have any users" exi...
true
67199b3d4dd525b50c9199c7289f258ad6a5e072
Shell
qnib/d-hadoop
/opt/qnib/hdfs/datanode/bin/start.sh
UTF-8
612
2.71875
3
[ "Apache-2.0" ]
permissive
#!/usr/local/bin/dumb-init /bin/bash sleep 5 if [ ! -d /data/hadoopdata/hdfs/datanode/ ];then mkdir -p /data/hadoopdata/hdfs/datanode/ chown hdfs: -R /data/hadoopdata/hdfs/datanode fi if [ "X${HADOOP_HDFS_NAMENODE}" != "Xtrue" ];then consul-template -consul localhost:8500 -once -template /etc/consul-templ...
true
dfd652a73b809ad0bde927f11493b8e3efa84233
Shell
Djamil17/ERNIE
/Technical/harden-and-update/safe-period-detectors/active-postgres-queries.sh
UTF-8
2,014
4.3125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash usage() { cat << 'HEREDOC' NAME active_postgres_queries.sh -- check the running non-system Postgres queries in a Postgres DB SYNOPSIS active_postgres_queries.sh [-v] postgres_DB active_postgres_queries.sh -h: display this help DESCRIPTION Check the running non-system Postgres...
true
8edbba1215595a7a226cc4f7a28cd40e5f42d655
Shell
lisheng-li/huashan
/huashan.txt
UTF-8
960
4
4
[]
no_license
#!/bin/bash #----変数代入------------------------------ LOG_FILE=/xxxxxx/$0.log #ログ出力ファイル INTERVAL=120 #監視間隔(秒) ERROR=90 #エラー閾値(%) DATE=$(date +'%Y/%m/%d %H:%M:%S') #システム時刻 PROCESS_NAME='mintty' #PROCESS名 function catch() { echo "${DATE} ERROR: the shell is stoping..." >> ${LOG_FILE} exit } trap catch exit #--- メイン...
true
074df52c2edca8a301eb015537d97bb493ac64e5
Shell
hmcts/ccd-docker
/bin/utils/idam-get-user.sh
UTF-8
394
3.171875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -eu if [ "${ENVIRONMENT:-local}" != "local" ]; then exit 0; fi dir=$(dirname ${0}) email=${1} apiToken=$(${dir}/idam-authenticate.sh "${IDAM_ADMIN_USER}" "${IDAM_ADMIN_PASSWORD}") curl --silent --show-error -H 'Content-Type: application/json' -H "Authorization: AdminApiAuthToken ${apiTok...
true
161604562d882e8105982a6826e1897c8df915e8
Shell
martinburchell/wordpress_devtools
/overwrite_local_uploads_with_remote
UTF-8
617
3.359375
3
[]
no_license
#!/bin/bash set -e bin_dir="$( cd "$( dirname "$0" )" && pwd )" source ${bin_dir}/website_config source ${bin_dir}/error_functions source ${bin_dir}/rsync_functions source ${bin_dir}/confirm_functions source ${bin_dir}/svn_functions svn_ensure_changes_checked_in $wordpress_local_uploads echo Checking for remote c...
true
854918c3dab1306ebb63323b41e9e5b44cc21d5a
Shell
cnwangjihe/Raspberry_pi_config
/frp/install.sh
UTF-8
1,008
3.09375
3
[]
no_license
#!/bin/bash if command -v systemctl >/dev/null 2>&1; then systemctl stop frpc systemctl stop RefreshpublicIP else /etc/init.d/frpc stop /etc/init.d/RefreshpublicIP stop fi cp frpc /usr/bin/ mkdir /usr/share/frpc if [ ! -f "/usr/share/frpc/frpc.ini.template" ]; then cp frpc.ini.template /usr/share/fr...
true
01bea24c19fb140d36886f63c9ba60e858f8dc85
Shell
codemonkeylwt/blog
/shell/copy_jars.sh
UTF-8
302
2.8125
3
[]
no_license
#!/bin/bash cur_date="`date +%Y%m%d`" APP_DIR=/opt/blog/$cur_date mkdir -p $APP_DIR JAR_BASE_DIR=/data/jenkins/workspace/blog/ cp $JAR_BASE_DIR/index/target/blog-index.jar $APP_DIR cp $JAR_BASE_DIR/user/target/blog-user.jar $APP_DIR cd /opt/blog/ rm -f app ln -s $APP_DIR app chmod 777 app/*
true
088d79026bd96b0e3efb274011ca290088162b96
Shell
plaidml/onnxruntime
/tools/ci_build/github/linux/docker/scripts/install_centos.sh
UTF-8
845
3
3
[ "MIT" ]
permissive
#!/bin/bash set -e os_major_version=$(cat /etc/redhat-release | tr -dc '0-9.'|cut -d \. -f1) if ! rpm -q --quiet epel-release ; then yum install -y https://dl.fedoraproject.org/pub/epel/epel-release-latest-$os_major_version.noarch.rpm fi echo "installing for os major version : $os_major_version" yum install -y re...
true
796c3f5c8f836e90724763451d929b8b830a4f6c
Shell
pkliczewski/hyperconverged-cluster-operator
/hack/make_local.sh
UTF-8
614
2.84375
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -ex LOCAL_DIR=_local FORMAT=${FORMAT:-txt} hco_namespace=kubevirt-hyperconverged set -o allexport source hack/config set +o allexport export WEBHOOK_MODE=false mkdir -p "${LOCAL_DIR}" ./hack/make_local.py "${LOCAL_DIR}" "${FORMAT}" sed "s/\(^.*\/operator.yaml$\)/### \1/" deploy/deploy.sh > _...
true
6acc590a8b1ecf94421c0212cdf10df3ab5f165e
Shell
WillForan/dotconf
/bin/gitmoji-select
UTF-8
1,242
3.640625
4
[]
no_license
#!/usr/bin/env bash # insert gitmoji from fzf/rofi # use "xdo" to type it # 20200129 - init # 20210219 - args: 'xdo' for rofi and autotype; 'autokey' for rofi but still return key # depends: jq, dc, xargs, xdotool (optionally type) # 20220329 - add and then disable an insert delay sleep="sleep 1"; sleep="" cmd=echo s...
true
210bcd8bb2de5c44da6bcfc17f3dbd10a1450068
Shell
jubicoy/openshift-cartridge-gitolite
/bin/install
UTF-8
2,005
3.640625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash -e if [[ -d /usr/lib64 ]]; then _libdir=/usr/lib64/ else _libdir=/usr/lib/ fi case "$1" in -v|--version) version="$2" esac source $OPENSHIFT_CARTRIDGE_SDK_BASH env_dir="${OPENSHIFT_GITOLITE_DIR}env/" # Create and link required directories and files mkdir -p ${OPENSHIFT_GITOLITE_DIR}{run,t...
true
1caca177a6f984acca9c125215e517f6aab89e88
Shell
ar45/helper-utils
/git/clone-or-update-git-repo
UTF-8
3,152
4.375
4
[ "MIT" ]
permissive
#!/bin/bash read -r -d '' USAGE <<EOF USAGE: $0 --repo-url git-url [--destination-dir dest] Clone into <dest>. If /path/to/dest/ ends with a "/", the repo name will be appended to the destination dir. [--git-ref {ref/tag}] Checkout / Clone to the specified ref/tag [--remote] The remote name (Defaults to origi...
true
eea9654838fb7ae41cf65805bfc639639b501369
Shell
datamonk/strata19
/scripts/get_slides.sh
UTF-8
700
3.609375
4
[]
no_license
#!/bin/bash CWD=$(/bin/pwd -P) OUTPUT_PREFIX="/home/afcamar/proj/gitlab/strata19/slides/" # Download Oreilly Strata slidedeck web source page. Iterate # through to parse and download URL paths meeting the file # extention critera (PDF's, PPT, ZIP). Write to OUTPUT_PREFIX # directory. wget 'https://conferences.oreilly...
true
e1155e3c8380686809b5e66409829ae059e1d4b3
Shell
jmeagher/dotfiles
/bash.d/fasd.sh
UTF-8
610
3.4375
3
[]
no_license
if [ "" != "`which fasd 2> /dev/null `" ] ; then eval "$(fasd --init auto)" alias fv="fasd -aie $EDITOR" alias v="fasd -aie $EDITOR" alias d="fasd_cd -di" # Copied from the fasd init code to detect completion if [ "$BASH_VERSION" ] && complete > /dev/null 2>&1; then # bash complete -F _fasd_bash_cmd_...
true
a44023362f71086f333e6c291c331ffcccce81cd
Shell
NBISweden/Knox-ePouta
/experiments/profiles/supernode/files/sob-tests
UTF-8
920
3.03125
3
[]
no_license
# -*-sh-*- # Write a 24GB file in chunks of 8MB. Basic test of write I/O # bandwidth. For this kind of test it is important that the file is # substantially larger than the main memory of the machine. If the # file is 2GB and main memory is 1GB then up to 50% of the file could # be cached by the operating system and t...
true
3381f72ca9abdcb24ef550fc0310e6fe1f8abbb2
Shell
takase1121/dotfiles
/private_dot_config/executable_manage_picom
UTF-8
531
3.703125
4
[]
no_license
#!/usr/bin/env sh find_picom() { picom_path="$(which picom)" for proc in /proc/[0-9]*/exe; do if [ "$(readlink "$proc")" = "$picom_path" ]; then echo "$proc" | rev | cut -d"/" -f2 | rev return 0 fi done return 1 } case $1 in start) if find_picom >/dev/null 2>&1; then echo "picom already running." ...
true
135d1034da6c85fe7696a44d60c5886fe697170b
Shell
vcwebio/modeco.package.ingest_journal_sasl
/modeco/deploy-local-up
UTF-8
281
3.09375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash prefix="package_ingest_journal_sasl_$2" if [[ "package_ingest_journal_sasl_ingest_journal_sasl_journalbeat_volume" == "$prefix"* ]] ; then executionplane --silent docker volume create package_ingest_journal_sasl_ingest_journal_sasl_journalbeat_volume fi
true
93df037d2c590192c095a0e7b1a954ec03521be3
Shell
Azure/azure-service-operator
/scripts/v2/make-multitenant-tenant.sh
UTF-8
2,972
3.28125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -euxo pipefail version="$1" target="multitenant-tenant_${version}.yaml" source="$2" tenant="tenant1" tenant_namespace="$tenant-system" # Collect the few documents we want in the per-tenant yaml. namespace='.kind == "Namespace"' leader_election_role='(.kind == "Role" and .metadata.name == "az...
true
392682d5ff7449d25292cc9cc4ee4b25b1a2370b
Shell
doctaphred/profile
/bin/rmate
UTF-8
1,462
4.25
4
[]
no_license
#!/usr/bin/env bash set -euo pipefail # This script replaces itself with the rmate executable, then runs the given command! { # Defer execution until the matching brace. sha256=830a590e15b2d1b89273428222736bbebcd677c5c6678c82e61bd19f256fcd2c url=https://raw.githubusercontent.com/textmate/rmate/master/bin/rm...
true
96fc433758961a870b45b6a909f2d62f8c9dec8d
Shell
vboiteau/GTI770
/lab03/simple.sh
UTF-8
852
3.046875
3
[]
no_license
#!/bin/bash source ./config.sh HiddenLayer=80 if [ -z $1 ]; then echo "First parameter should be hidden layers, will use default $HiddenLayer" else HiddenLayer=$1 fi Cycle=1000 if [ -z $2 ]; then echo "Second parameter should be cycle, will use default $Cycle" else Cycle=$2 fi TRAIN_FILE="./arff/Cha...
true
cebee667136f7776544317fad55ca692bbcc5369
Shell
graphcore/tensorflow
/tensorflow/lite/micro/tools/make/ext_libs/xtensa_download.sh
UTF-8
3,322
3.8125
4
[ "MIT", "Apache-2.0", "BSD-2-Clause" ]
permissive
#!/bin/bash # Copyright 2019 The TensorFlow Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
true
d093eff5725396b4bc31fbc032e124a62bde64fb
Shell
tikservices/powerdown
/default.powerup
UTF-8
1,784
2.515625
3
[]
no_license
#!/usr/bin/env bash # powerdown - powerup # # bus opts "/sys/bus/*/devices/*/power/control" on # usb autosuspend opts "/sys/bus/usb/devices/*/power/autosuspend" 600 opts "/sys/bus/usb/devices/*/power/control" on # nmi_watchdog opt /proc/sys/kernel/nmi_watchdog 1 # cpu opts "/sys/devices/system/cpu/cpu*/cpufreq/scal...
true
97f3fd90c68243ea0171cac14d92bb761058ca9f
Shell
edulutionzm/offline_testing
/extract_baselines.sh
UTF-8
1,127
3.84375
4
[]
no_license
#!/bin/bash DIRECTORIES=( ~/reports ~/backups ~/reports/baseline) for DIRECTORY in ${DIRECTORIES[@]}; do if [ ! -d "$DIRECTORY" ]; then mkdir "$DIRECTORY" else echo "$DIRECTORY already exists. Skipping this step" fi done test -f ~/.testing_server/public/test_responses.sqlite #if db file exists then extraction...
true
0ae50b94cd3f6529bab50d9563eee92678b7dee6
Shell
mortnir/ely-start
/ely-start.sh
UTF-8
1,907
3.828125
4
[]
no_license
#!/bin/bash usage () { echo "# - usage: ./ely-start.sh import-host host-username (tag/branch name)" exit 1 } #curl -L -O https://artifacts.elastic.co/downloads/beats/metricbeat/metricbeat-7.6.2-amd64.deb #curl -L -O https://artifacts.elastic.co/downloads/beats/filebeat/filebeat-7.6.2-amd64.deb echo "# - Filebeat...
true
8bb8d0d6b93eea6afe8cb47b06b762c1e2ac83dd
Shell
gotroyb127/dotfiles
/scripts/shell_functions/Time
UTF-8
202
3.390625
3
[]
no_license
#!/bin/sh Time() { a=0 if [ $# -ge 2 ] then m=$1 shift else echo "Time: usage: 'Time Repeat Cmd.'" >&2 return 5 fi time \ while [ $((++a)) -le $m ] do "$@" > /dev/null <&1 done }
true
3c3678ac472aac6452998283181986afe8b942b7
Shell
halhenke/gist-bin-pub
/git-sync-repositorium/git-sync-repositorium.sh
UTF-8
324
3.234375
3
[]
no_license
#!/usr/bin/env bash # Autocommitting with inotify (repo: repositorium) repos=repositorium for r in $repos do cd -- "${XDG_DOCUMENTS_DIR}/Uni/${r}" && { git ls-files --deleted -z | xargs -0 git rm 1>/dev/null 2>&1 git add -A . 1>/dev/null 2>&1 git commit -a -m "inotify $(date)" } d...
true
ebeb7f7fa6845eb647d3c7aad7542df5b1f36261
Shell
tdegeus/ghostscript_ext
/pdfmeta-set
UTF-8
2,113
4.1875
4
[ "MIT" ]
permissive
#!/bin/bash # ============================================================================== function printhelp { echo "\ NAME pdfmeta-set - set PDF properties using Ghost-script USAGE $ pdfmeta-set [-t TITLE] [-a AUTHOR] FILE DESCRIPTION This program changes the properties of a PDF-documents using Ghost-...
true
5fe00f6673fafd7e66475d45bea435ebb691d32b
Shell
trschmitt/notes
/07/2-tuesday-32/todos-sequelize-starter.bash
UTF-8
2,932
3.40625
3
[]
no_license
#!/usr/bin/env bash if [[ -d ~/code/todosql ]]; then echo "~/code/todosql: Already exists. Exiting..." exit 1 fi cd ~/code git clone https://github.com/tiy-dc-wdcp-jun-17/base-express-app.git todosql cd todosql npm install sequelize pg cd server sequelize init cat <<EOS > config/config.json { "development": { ...
true
00bf157b976b8ada0d68f1e5e647ce7b8cf1d633
Shell
paper42/pm
/pkgs/dejavu-nerd
UTF-8
474
3.046875
3
[]
no_license
#!/bin/sh version=2.0.0 source="https://github.com/ryanoasis/nerd-fonts/releases/download/v$version/DejaVuSansMono.zip" sha512="92f8f0a41774ec78ae4e4addb811ba5cae1f904ee14bf54eb0e64662fa0ee2a1a73220b15e1e83679badd4eaeae0fcc6f8790fd8d5aea89a8957ba79c5136baf DejaVuSansMono.zip" build() { mkdir -p "$DESTDIR"/home/.fo...
true
751892556ba43ecb377e92503389c18b858dec65
Shell
kostafey/dotfiles-1
/setup
UTF-8
9,788
3.578125
4
[ "MIT" ]
permissive
#!/bin/zsh set -e MY_GPG_KEY_ID="12C87A28FEAC6B20" script_name="$(basename "$0")" dotfiles_dir="$(cd "$(dirname "$0")"; pwd)" cd "$dotfiles_dir" assign() { op="$1" if [[ "$op" != "link" && "$op" != "copy" ]]; then echo "Unknown operation: $op" exit 1 fi orig_file="$2" dest_file="$3" mkdir -p "...
true
253a4f03c2ae98e049ce53c6b725070e8955ca8d
Shell
xuyueshu/YZQREPO
/shell_test/xiugaikuozhanming.sh
UTF-8
411
3.5625
4
[ "Unlicense" ]
permissive
#!/bin/bash #编写批量修改扩展名脚本,如批量将 txt 文件修改为 doc 文件 # 执行脚本时,需要给脚本添加位置参数 # 脚本名 txt doc(可以将 txt 的扩展名修改为 doc) # 脚本名 doc jpg(可以将 doc 的扩展名修改为 jpg) for i in `ls *.$1` do if [ -z $i ];then ## if -z判断是否为空 echo "不存在该类文件" else mv $i ${i%.*}.$2 fi done
true
629e14040cee30231cb746ce0ee0a0c56cfcb5fb
Shell
Leo311/heroku-buildpack-isyntax
/bin/compile
UTF-8
409
3.703125
4
[]
no_license
#!/bin/sh indent() { sed -u 's/^/ /' } echo "-----> Downloading and installing iSyntax libraries and executables" TARBALL_URL='https://s3.amazonaws.com/proscia-viewer/buildpacks/isyntax.tar.gz' OUTPUT_DIR="${1}/vendor/isyntax" mkdir -p $OUTPUT_DIR curl -s $TARBALL_URL | tar xz -C $OUTPUT_DIR if [ $? != 0 ...
true
9a19330350f045445d7340e5037a8a07ec46d120
Shell
SlurmRelated/slurm-llnl-misc-plugins
/Epilog.d/00_clean
UTF-8
975
3.625
4
[]
no_license
#!/bin/bash # # This script will kill any user processes on a node when the last # SLURM job there ends. For example, if a user directly logs into # an allocated node SLURM will not kill that process without this # script being executed as an epilog. if [ x$SLURM_UID == "x" ] ; then exit 0 fi if [ x$SLURM_JOB_ID == ...
true
8312441e6f1b467dc3299bc65486f340b033c50a
Shell
spiralofhope/ruby-random
/dead/unc/bashrc_addition.sh
UTF-8
720
3.609375
4
[]
no_license
#!/usr/bin/env sh # Everything is totally screwed up because of Bash. You have to rig a gateway through bash to run a script which will change into another directory. # for $HOME/.bashrc unc () { if [ -z "$@" ]; then echo 'unc <filename>' else # TODO: This should run the script once, and then chop it ...
true
d96884d277f8ffc5b68953d06ba97289f9694129
Shell
delafont/random_scripts
/tophat_mapping.sh
UTF-8
1,849
3.09375
3
[]
no_license
#!/bin/bash # By Julien Duc, Evarist Planet #BSUB -L /bin/bash #BSUB -J tophat[1-24] #BSUB -o logs/tophat_%I.out #BSUB -e logs/tophat_%I.err #BSUB -u julien.delafontaine@epfl.ch #BSUB -N #BSUB -M 8000000 #BSUB -R rusage[mem=8000] #BSUB -n 4 #BSUB -R "span[hosts=1]" module add UHTS/Analysis/samtools/0.1.19; #module a...
true
5d56ad8aed71a2871b132b3708c1500ae2797d64
Shell
BlankNetscape/ALPS_manager
/alp_master.sh
UTF-8
1,875
3.984375
4
[]
no_license
#!/bin/bash editor="nano" ## alpID=; alpNm=; alpSt=; ## echo -e "\e[38;5;105mEnter AlpID"" - format XXXX or less\e[0m" printf "\e[38;5;105m└─> \e[0m:" read -r if [[ $REPLY =~ ^-?[0-9]+$ ]] then if [[ ${#REPLY} -gt 4 ]]; then echo " - Too long." exit fi else echo " - NaN" exit fi alpID=$REPLY ## echo -e ...
true
1408997250fb671198151eae9ea38ea318a429f7
Shell
jonkelly/utils
/dnsupdate.r53/dnsupdate.sh
UTF-8
1,168
3.625
4
[]
no_license
#!/bin/bash # USAGE: $0 subdomain ip_address # e.g. dnsupdate.sh partytime 33.33.33.33 # would create an A record for partytime.DOMAIN pointing to 33.33.33.33 # depends on awcli, should be configured with default profile in credentials # TODO: profile support # TODO: input sanitization # install: run from PWD, or cop...
true
fa5f70de4a3834428e4546fe49ef9d979a14c0f7
Shell
vincentmartin/audio2video
/audio2video.sh
UTF-8
384
2.8125
3
[]
no_license
#!/bin/sh mkdir output for f in *.wma; do echo "processing $f" #ffmpeg -loop 1 -framerate 1 -i ./song_background.png -i "$f" -c:v libx264 -preset veryslow -crf 0 -c:a copy -shortest output/"$f.mkv" convert -pointsize 60 label:"$f" -gravity center -extent 1920x1080 png:- | ffmpeg -y -f image2pipe -i - -i "$...
true
8564a7ea1b38f5508d913efcf47d72a3045c7209
Shell
archion/mylinux
/bin/playonline
UTF-8
524
2.59375
3
[]
no_license
#!/bin/bash dl=false while getopts :d OPTION do case $OPTION in d) dl=true ;; esac done shift $((OPTIND - 1)) if $dl; then if echo $1 | grep -q youtube; then echo "using 127.0.0.1:8888" you-get -s 127.0.0.1:8888 $1 else you-get $1 fi else if echo $1 | grep -q youtube; then ...
true
0f45b9cde25262cf4731be49f930ab4c1f3e0991
Shell
vinay-ebi/tark-loader
/travisci/harness.sh
UTF-8
648
3.109375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash ENSDIR="${ENSDIR:-$PWD}" export PERL5LIB=$ENSDIR/bioperl-live:$ENSDIR/ensembl-test/modules:$PWD/lib:$ENSDIR/ensembl/modules:$ENSDIR/ensembl-hive/modules export TEST_AUTHOR=$USER echo "Running test suite" if [ "$COVERALLS" = 'true' ]; then PERL5OPT='-MDevel::Cover=+ignore,bioperl,+ignore,ensembl-test,+i...
true
cd5cf5b90460c3167d586cdfe5c964f93908625d
Shell
srynobio/CVDO
/bin/CVDO
UTF-8
1,566
3.09375
3
[]
no_license
#!/bin/bash # Shell script by Shawn Rynearson For Karen Eilbeck # shawn.rynearson@gmail.com # Used for DO development project. #---------------------------------------------------------------------- # Generating the obo file from MeSH XML. echo "Generating obo file from XML file." ./MeSHtoOBO_Parser.pl ../data/desc...
true
941ea03c01384dfa42b78c99196760c206991daf
Shell
klapcsik/multi-environment-chatops-bot-for-controltower
/deploy.sh
UTF-8
4,418
3.953125
4
[ "MIT-0" ]
permissive
#!/bin/bash # Purpose: Install chatops-lex # Author: Luiz Decaro {lddecaro@amazon.com} # ------------------------------------------ # $1 = # of seconds # $@ = What to print after "Waiting n seconds" countdown() { secs=$1 shift msg=$@ while [ $secs -gt 0 ] do printf "\r\033[KWaiting %.d seconds $msg" $((...
true
664d2da85c863ace1fa421307518524bbb62383a
Shell
tpythoner/Mall
/restart.sh
UTF-8
513
2.890625
3
[]
no_license
#!/bin/bash select var in "production" "development"; do if [ $var = "production" ];then #forever方式启动 #NODE_ENV=production forever start -l ~/.forever/access.log -e ~/.forever/error.log -w -a app.js #PM2启动方式 #pm2 start -i max --merge-logs --watch -e ./logs/errors.log -o ./logs/access.log app.js pm2 start -i...
true
ed21175f44490edb1b7760e07eb79c27ffa8075e
Shell
cdbbnnyCode/AdventOfCode-2018
/day05/part1.sh
UTF-8
607
3.78125
4
[]
no_license
#!/bin/bash source ../fetch.sh input=$(fetch 5) # It's one string today!! letters=( {a..z} ) function deletePoly() { inp=$1 ltr=$2 upper=${ltr^^} # Only works on Bash 4.0+ lower=${ltr,,} init_len=${#inp} out=$(echo $inp | sed -e "s/${lower}${upper}//g" -e "s/${upper}${lower}//g") echo "$out" } functi...
true
b7a48a66532ce16deffbe956602237f5ac81d727
Shell
udtrokia/marst
/mark/dao/app/scripts/dep
UTF-8
469
2.59375
3
[]
no_license
#!/usr/bin/env sh path=`dirname $0` # git # git init && git remote add repo https://github.com/udtrokia/gig.git # git config core.sparsecheckout true && # echo "/mark" >> .git/info/sparse-checkout && git pull repo master # echo install truffle, solc... npm install -g truffle solc next echo cd ${path}/../.. && ...
true
fc02ddfe929b7cbc9449313839fe16fbb7dbeee6
Shell
rancher/rke-tools
/cert-deployer
UTF-8
1,712
3.84375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash -x SSL_CRTS_DIR=${CRTS_DEPLOY_PATH:-/etc/kubernetes/ssl} mkdir -p $SSL_CRTS_DIR chmod 755 $SSL_CRTS_DIR for i in $(env | grep -o KUBE_.*=); do name="$(echo "$i" | cut -f1 -d"=" | tr '[:upper:]' '[:lower:]' | tr '_' '-').pem" env=$(echo "$i" | cut -f1 -d"=") value=$(echo "${!env}") if [ ! -f $SSL_C...
true
0196e2404034a031dd316f8be685fd7072e05d4a
Shell
jdegges/gumstix-pip-oe
/gumstix-oe/org.openembedded.snapshot/packages/slugos-init/files/boot/.svn/text-base/ram.svn-base
UTF-8
1,263
3.3125
3
[ "MIT" ]
permissive
#!/bin/sh # boot from the hard disk partition "$1" (which # must be given) using options from the rest of # the command line. # # Use the standard init path (see /etc/init.d/rcS) export PATH=/sbin:/bin:/usr/sbin:/usr/bin # # Load the helper functions . /etc/default/functions # leds beep -r 2 leds boot system # if test ...
true
60381983b582efbd1df6f2a15d7b8a1106c33e26
Shell
michaelepley/openshift-demo-nauticalcharts
/setup-initial-app.sh
UTF-8
4,750
3.28125
3
[]
no_license
#!/bin/bash # Configuration . ./config-demo-openshift-nauticalcharts.sh || { echo "FAILED: Could not configure" && exit 1 ; } # Additional Configuration #None echo -n "Verifying configuration ready..." : ${APPLICATION_NAME?"missing configuration for APPLICATION_NAME"} : ${APPLICATION_REPOSITORY_GITHUB?"missing confi...
true
49dfdb619b50f94294a90e6ae1c18f8a1c9697cc
Shell
nhattvm11/docs
/scripts/install-intel-mkl-from_apt.sh
UTF-8
1,995
3.5625
4
[ "MIT" ]
permissive
#! /bin/bash echo "" echo "************************************************ Please confirm *******************************************************" echo " Installing Intel(R) Math Kernel Library (Intel(R) MKL) Using APT Repository. " echo " Select n to skip Intel MKL installation or y to install it." read -p " Contin...
true
915e4c1a1bd2fe567eb0e14cba8522c92ff7f51b
Shell
florida/dotfiles
/git_setup.sh
UTF-8
4,799
4.1875
4
[]
no_license
#!/bin/bash Color_Off='\033[0m' # Text Reset # Bold BBlack='\033[1;30m' # Black BRed='\033[1;31m' # Red BGreen='\033[1;32m' # Green BYellow='\033[1;33m' # Yellow write_banner() { local text="$1" local color="${2:-$BGreen}" # Set the fixed width of the banner local width=100 ...
true
27b2e9d98eb12e0f69466bcbfc9fb8f1e1d720b9
Shell
fluffle/unrealircd-deb
/build.sh
UTF-8
551
2.703125
3
[]
no_license
#!/bin/sh LANG=C pkgver=3.2.10.3 [ ! -e Unreal$pkgver.tar.gz ] && wget http://www.unrealircd.com/downloads/Unreal$pkgver.tar.gz [ ! -e pkg ] && mkdir pkg cd pkg [ ! -e unrealircd-$pkgver.tar.gz ] && ln -s ../Unreal$pkgver.tar.gz unrealircd-$pkgver.tar.gz [ ! -e unrealircd_$pkgver.orig.tar.gz ] && ln -s ../Unreal$pkgve...
true
ee2487dc3e29444c43376420d7a76b920594b19e
Shell
nartesfasrum/music-scripts
/der.sh
UTF-8
268
3.265625
3
[ "BSD-2-Clause" ]
permissive
for file in * do IFS=';' read -a files <<< "$file" artist=${files[0]} album=${files[2]} song=${files[1]} track=${files[3]} mp3=".mp3" track=${track//$mp3/} song=$track"_"$song".mp3" echo $artist mkdir -p "$artist"/"$album" mv $file "$artist"/"$album" done
true
7875cda3762707aadc545e06ab607a6cb8f8ad38
Shell
lpawlik91/USBSpeedTest
/collect_results.sh
UTF-8
503
2.8125
3
[]
no_license
#!/bin/bash BUFFER=64 MODE=S SIZE_SET=107374200 FILENAME="$MODE" FILENAME+="_" FILENAME+="$SIZE_SET" FILENAME+=".data" while [ $BUFFER -gt 21 ]; do ./libusbtest2/libusbtest2/libusb $MODE $BUFFER $SIZE_SET 1 >> Results/$FILENAME let BUFFER=BUFFER-2 done BUFFER=64 MODE=A SIZE_SET=107374200 FILENAME="$MODE" FILENAME+...
true
3df8444de130d5fb556418c3e8fc78ee70f9e73e
Shell
fatman2021/archlinux-packages
/community-staging.sh
UTF-8
7,241
3.359375
3
[]
no_license
#!/usr/bin/env bash MATE_VER=1.10 TARGET="staging" ACTION="build" ACTION="move" MACHINE=$(uname -m) TEST_DEVTOOLS=$(pacman -Qq devtools 2>/dev/null) if [ $? -ne 0 ]; then echo "ERROR! You must install 'devtools'." exit 1 fi echo "Configure packager" echo 'PACKAGER="Martin Wimpress <code@flexion.org>"' > "${H...
true
addf7451ff7f08423f51d1aed727b598631e9876
Shell
Aarkon/terminal-soundboard
/soundboard.sh
UTF-8
391
3.734375
4
[ "Unlicense" ]
permissive
#! /bin/bash # path for the sound files be put in path=/home/username/sounds $choice $clip # main menue menu() { for file in “$path”/* ; do i=$(( i+1 )) clip[$i]=$file echo echo $i: ${file##*/} done echo read -n 1 -p “Which sound do you want to be played? ” choice echo ${clip[$choice]} play } # pl...
true
94be73485ba753ca31aeb871148f2431438a7875
Shell
leshorne/dotfiles
/bin/opdir
UTF-8
416
2.5625
3
[]
no_license
#!/bin/bash # ---------------------------------------------------------------- # # DESCRIPTION: # # A Script that opens the current folder in Finder # # ---------------------------------------------------------------- # # USAGE: just run this in the terminal # # ---------------------------------------------------...
true
bbeb3164c9bc8bbde643615811c12c4d10313ee9
Shell
caHarkness/openvpn-install
/install.sh
UTF-8
1,872
3.375
3
[ "MIT" ]
permissive
#!/bin/bash source common.sh apt-get update apt-get install openvpn iptables openssl ca-certificates -y # Download and install EasyRSA export EASYRSA_DOWNLOAD="https://github.com/OpenVPN/easy-rsa/releases/download/v3.0.5/EasyRSA-nix-3.0.5.tgz" curl -Lo ./download.tgz "$EASYRSA_DOWNLOAD" tar xzf ./download.tgz rm -...
true
56bf42feb3504df38c54d51869113255c64ae1d9
Shell
troykitten/cm9_device_u8120
/prebuilt/etc/init.d/02huawei
UTF-8
621
2.84375
3
[]
no_license
#!/system/bin/sh echo "try link huawei additional partition" if [ -b /dev/block/mtdblock7 ]; then mkdir /data/cust; chown 1000.1000 /data/cust; chmod 777 /data/cust; mount /dev/block/mtdblock7 /data/cust; fi # sdcard speed fix if [ -e /sys/devices/virtual/bdi/179:0/read_ahead_kb ]; then /system/xbin/echo "4...
true
1667a38ce0f997d9dca49c59dac4fb80cffeafe8
Shell
038hwolff/init
/scripts/02
UTF-8
463
2.75
3
[]
no_license
#!/bin/sh (sudo apt-get update -y && sudo apt-upgrade -y) >> /var/log/update_script.log # can aussi be writter: sudo apt-get update -y > /var/log/update_script.log && sudo apt-upgrade -y >> /var/log/update_script.log #program once a week at 4 a.m. #Make sure this script is inside /usr/local/sbin, for example /user/loca...
true
b3e0cd13d4c3ee9c33dd1c0d4c590dd91c2a3d4f
Shell
muschellij2/FSL6.0.0
/src/possum/generate_b0calc
UTF-8
2,768
3.578125
4
[]
no_license
#!/bin/sh # POSSUM # # Tejas Pendse 12.12.12 # # Wrapper script for b0calc. To used primarily by the GUI (B0 field -> Make B0 file) ################################# #$ -l h_rt=5:0:0 #$ -l h_vmem=2.5G,tmem=2.5G #$ -S /bin/bash #$ -cwd #$ -N makeb0 #$ -V ################################# usage() { echo "makeb...
true
2181dce3d8ffbc30a8aa7a2dfea96bacba75a92f
Shell
kishanadd/136devops
/shell-scripts/08-exit-status.sh
UTF-8
430
3.328125
3
[]
no_license
#!/bin/bash echo Hai #exit 1 echo BYE ## exit command by default exits with 0, unless you specify some value # we cannot use exit command in function , because it exists the script. So functions also have exit status. But exit command will completly exit the script .. So we have alternate 'return' command to exi...
true
809ed15cc2e76ed850c99ea3d8566bf5062e333b
Shell
sourcegraph/sourcegraph
/dev/check/no-alpine-guard.sh
UTF-8
1,471
3.71875
4
[ "Apache-2.0", "LicenseRef-scancode-warranty-disclaimer", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash set -e echo "--- no alpine guard" cd "$(dirname "${BASH_SOURCE[0]}")/../.." path_filter() { local IFS= local withPath="${*/#/ -o -path }" echo "${withPath# -o }" } set +e ALPINE_MATCHES=$(git grep -e '\salpine\:' --and --not -e '^\s*//' --and --not -e 'CI\:LOCALHOST_OK' \ ':(exclude)doc/...
true
123d8f3d034b3c6c4dcfc504d7a2570a7cb31493
Shell
AlicLi/PHT
/cs259/quickstart.sh
UTF-8
1,605
3.5
4
[]
no_license
#!/bin/bash while true; do echo " setup options: " echo "[min] for minimal setup" echo "[yum] for minimal setup + update using yum" echo "[fpga] for minimal setup + fpga instances setup" read -p "[min/yum/fpga] " option echo " " case $option in "min" | "yum" ) if [ $option == "yum" ] ; then ech...
true
2c7e181db4f0e60a30b8483f7aec7dcf735d0304
Shell
deepglint/backbone-cmd
/template/backbone_project/app/app/gen_to_vulcand.sh
UTF-8
693
2.796875
3
[]
no_license
#!/bin/bash #echo $1 $2 $3 $4 USERNAME=jiajiachen NAME=bgmodelset2 VULCAND=http://192.168.5.46:8182 LOCAL=http://192.168.1.19:8004 FRONTPATH='PathRegexp("'$USERNAME/$NAME'.*")' #"'PathRegexp(\"/"$USERNAME"/"$NAME".*\")'" vctl backend upsert -id b_$USERNAME_$NAME --vulcan $VULCAND vctl server upsert -id svr_$US...
true
c6b1fa36fc53376a76e06d3da75d47e806dd1c6d
Shell
roby89br/mattiols_hassio_repository
/bticino_smarter/run.sh
UTF-8
1,936
2.96875
3
[]
no_license
#!/usr/bin/env bashio CLIENT_ID=$(bashio::config 'client_id') CLIENT_SECRET=$(bashio::config 'client_secret') SUBSCRIPTION_KEY=$(bashio::config 'subscription_key') REDIRECT_URL=$(bashio::config 'redirect_url') API_USER=$(bashio::config 'api_user') API_PASS=$(bashio::config 'api_pass') C2C_SUBSCRIPTION=$(bashio::config...
true
640a17628f83452f99a181a0664d0a5807e63c5e
Shell
stepleton/lisa-fig68k
/build.sh
UTF-8
5,400
3.34375
3
[ "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash # Build script for lisa-fig68k # # This script is a flimsy alternative to a Makefile or similar, and it has been # created for use with the EASy68k command-line assembler distributed by Ray # Arachelian (https://github.com/rayarachelian/EASy68K-asm). If you have an # `asy68k` binary available, you must supp...
true
ab76536b67d182c9e66a0885fc5796b57079465c
Shell
MEHColeman/dotfiles
/install/personal_mac_install
UTF-8
1,185
3.34375
3
[]
no_license
#!/bin/bash echo "This script installs stuff I want on a home machine, but not a work machine, for macOS" update_command="brew update" install_command="brew install --cask" clean_command="brew cleanup" echo "Installing with $install_command" # both brew and apt-get have the same name declare -a casks=( "affinity-...
true
927f5c09211c05942b18a831a740204c926e90c2
Shell
neuronsimulator/nrn
/src/nrnmpi/mkdynam.sh
UTF-8
1,090
2.890625
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash names=`sed -n ' /extern /s/extern [a-z*]* \(nrnmpi_[a-zA-Z0-9_]*\)(.*);/\1/p ' nrnmpidec.h` #generate nrnmpi_dynam_wrappers.inc sed -n ' /extern void/s/extern \(void\) \(nrnmpi_[a-zA-Z0-9_]*\)\(.*\);/\1 \2\3 {@ (*p_\2)\3;@}/p /extern [^v]/s/extern \([a-z*]*\) \(nrnmpi_[a-zA-Z0-9_]*\)\(.*\);/\1 \2...
true
448ebe5023f283cde26444c37701d17642a31d48
Shell
h908714124/my-scripts
/misc/padding
UTF-8
602
3.984375
4
[]
no_license
#!/bin/bash set -e addLine () { echo -n "PADDING " >>"$1" openssl rand -base64 23 >>"$1" } CLOBBER=Y if [[ "-x" == "$1" ]] || [[ "--noclobber" == "$1" ]]; then CLOBBER=N shift fi FILE="$1" HEAD=HEAD OUT=OUT if [[ -z "$FILE" ]]; then echo "Argument: file" exit 1 fi cp "$FILE" "${FILE}_${OUT}" for i in `se...
true
4ef19cdce5e37c8b7eeb033935d01c6a1806cb0e
Shell
richroslund/ark-deployer
/app/process-explorer.sh
UTF-8
470
3.171875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash process_explorer_start() { process_explorer_stop heading "Starting Explorer..." parse_explorer_args "$@" cd $EXPLORER_PATH nohup npm run bridgechain & success "Start OK!" } process_explorer_stop() { heading "Stopping..." killall npm || true success "Stop OK!" }...
true
b389c0537edde067c8059f4e5f1ed80f7251b0e6
Shell
kowalik-lukasz/bash-labs
/lab05/script.sh
UTF-8
1,363
3.4375
3
[]
no_license
# ! /bin/bash # a) print info about processes that consume less than 10% of CPU. echo "a)" ps aux | awk ' $3 < 10 {print "Uzytkownik " $1 " ma uruchomiony proces o PID " $2 " - CPU = " $3 ", MEM = " $4} ' # b) print if COMMAND fields contain "/usr/". echo "b)" ps aux | awk ' {for(i=11; i<=NF; i++) {if($i ~ /usr/) pr...
true
c0ab26eaae9a367aca2eb9dcfaddb9c7e0e19252
Shell
mdogan/MicroRaft
/tools/build-site.sh
UTF-8
934
3.78125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ -z "$1" ]; then echo "usage: build-site.sh microraft-version" exit 1 fi yell() { echo "$0: $*" >&2; } die() { yell "$*" exit 1 } try() { "$@" || die "cannot $*"; } MICRORAFT_VERSION=$1 POM_FILE=pom.xml JAVADOC_SOURCE=microraft/target/site/apidocs SITE_FILES_DIR=site-src SITE_DIR=${SITE_FILES...
true